%global modname tashaphyne
%global distname Tashaphyne

Name:				python-%{modname}
Version:			0.2
Release:			7%{?dist}
Summary:			Arabic Light Stemmer and segmenter
Summary(ar):		مقطّع خفيف في العربية
Group:				Applications/Publishing
License:			GPLv2 and BSD
URL:				https://pypi.python.org/pypi/%{distname}
Source:				https://pypi.python.org/packages/source/T/%{distname}/%{distname}-%{version}.zip
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python-setuptools

%description
Arabic language text Stemmer and segmenter to be used by Python.

%description -l ar
أداة تقطيع في اللّغة العربية للاستخدام ضمن بيئة بيثون.

%prep
%setup -q -n %{distname}-%{version}
#Site of files just for including:
sed -i 's:#!/usr/bin/python::g' %{modname}/{normalize.py,arabic_const.py}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 21 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-3
- EPEL7 build.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-1
- Initial build.
